Subject: Big favor: Can you send me a picture of a current shipping label for my file?
From: "Whitney, Ruth E - Lansing, MI" <[email-masked]>
To: Michael B <[email-masked]>
Date: Thu, 29 Oct 2015 16:21:22 +0000

Good afternoon!

I've been gone a few days.  I do have the Business Service Network looking into your tracking issue.
That issue does sound very odd.

I have a big favor:  Can you send me a picture of a current shipping label for my file?

It doesn't have to be fancy, just a picture from a phone even that shows the postage and label format.

Elaine Whitney
HQ Sales
US Postal Service
517.337.8763
[email-masked]<mailto:[email-masked]>